<?php
header("Content-Type: text/html; charset=Windows-1250");
//vlozim triedy pre pracu s databazou	
	$meno_suboru="class_db_handling.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}

//vlozim funkcie pre pracu s prihlasovanim sa
$meno_suboru="functions_for_logging.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}
	
//vlozim si data pre pripojenie k db
$meno_suboru="db_conf.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}
//vlozim si data pre zobrazenie clankov
$meno_suboru="functions_for_layout.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}

//vlozim si funkcie pre kontrolu dat
$meno_suboru="functions_for_checking.php";
			if(file_exists($meno_suboru)){
			require_once($meno_suboru);
			}else{
			echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
			exit;
			}

//dalej potrebujem zistit, ci mam prava na citanie clankov a zobrazit ich
//ak je vsetko ok, zobrazim clanky
//$je_prihlaseny=je_logged($_SESSION["uzivatel"],$_SESSION["sid"]);
//echo($je_prihlaseny);
//v dalsich uvahach by bolo dobre vyriesit SESSIONS prihlasenie pre skript
//toto je len posielanie článkov zo servera
//vzhladom na to, že nejde o zmenu databazy povazujme to za relativne bezpecne
show_articles_list();
?>
